Bug 247858 - Review Request: R-mvtnorm - Multivariate normal and T distribution R Package
Review Request: R-mvtnorm - Multivariate normal and T distribution R Package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 247894
  Show dependency treegraph
 
Reported: 2007-07-11 14:35 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.8-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 01:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-11 14:35:12 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-mvtnorm.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-mvtnorm-0.7-2.src.rpm
Description:
This R package computes multivariate normal and t probabilities, quantiles
and densities.
Comment 1 Jason Tibbitts 2007-07-12 01:01:30 EDT
In addition to the expected two rpmlint complaints, I see:
   W: R-mvtnorm incoherent-version-in-changelog 0.7.5-2 0.7-2.fc8
Is the version "0.7" or "0.7.5"?

I'm afraid I don't understand what the test suite is telling me.  One test finds
several differences in the sixth decimal place but the ends with OK.  I'm making
the assumption that it would indicate an actual failure.

Review:
* source files match upstream:
   494048d08b9f11925c207584d55a6bc2c4bf199262e0de421f4f52fc5fb7a1cc  
   mvtnorm_0.7-5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
   (Follows R template)
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   mvtnorm.so()(64bit)
   R-mvtnorm = 0.7-2.fc8
  =
   /bin/sh
   R
   libR.so()(64bit)
   libgcc_s.so.1()(64bit)
   libgfortran.so.1()(64bit)
* %check is present and all tests pass (I think).
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R document index generation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Really, the changelog thing is trivial to fix, so I'll approve this and you can
fix it when you check in.

APPROVED
Comment 2 Orion Poplawski 2007-07-12 11:28:57 EDT
Version is now 0.7 though it used to be 0.7.5 when I first made the package. 
Fixed the changelog.

Yeah, I'm not terribly sure about the checks but it does seem to skip changes in
the final decimal points but does really fail if there is an R error.

Thanks for the review!

New Package CVS Request
=======================
Package Name: R-mvtnorm
Short Description: Multivariate normal and T distribution R Package
Owners: orion
Branches: F-7 FC-6 EL-5
InitialCC: 
Comment 3 Kevin Fenzi 2007-07-12 12:54:08 EDT
cvs done.
Comment 4 Orion Poplawski 2007-07-12 12:59:06 EDT
(In reply to comment #3)
> cvs done.

Um, getting:

cvs commit...
**** Access denied: orion is not in ACL for rpms/R-mvtnorm
cvs commit: Pre-commit check failed
**** Access denied: orion is not in ACL for rpms/R-mvtnorm/devel
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!

If I try to remove pkg.acl:

orion is the package owner - allowing ACL changes for R-mvtnorm.
**** Access denied: orion is not in ACL for rpms/R-mvtnorm
cvs commit: Pre-commit check failed
Comment 5 Kevin Fenzi 2007-07-12 13:37:22 EDT
Very odd. Can you wait and try again in a bit? Something might not have synced
out the acls right... If you see this again, feel free to let me know. 
Comment 6 Orion Poplawski 2007-07-12 13:56:48 EDT
Waiting fixed CVS.  Imported and built on devel.  
Comment 7 Fedora Update System 2007-07-25 01:19:10 EDT
R-mvtnorm-0.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.